/* import fonts */
@import url("https://fonts.googleapis.com/css2?family=Agbalumo&family=Winky+Sans:ital,wght@0,300..900;1,300..900&display=swap");

/* themes */
[data-theme="cafe"] {
    --background: url(/assets/background_cafe.png);
    --SC_Background: #f7f4ef;
    --SC_Border: #b78b5e;
    --SC_Links: #d98b99;
    --SC_Accent: #eadccc;
    --SC_Accent2: #e2bdc4;
}

/* main body */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background: var(--background, #d98b99);
    overflow-x: hidden;
    font-family: "Winky Sans", sans-serif;
}

/* site wide stylings */
p {
    line-height: 1rem;
    padding: 0.313rem 0rem;
}

a {
    color: var(--SC_Links);
    transition: color 0.5s ease-in-out;
    text-decoration: none;
}

a:hover {
    color: var(--SC_Accent);
}

h1,
h2,
h3 {
    font-family: "Agbalumo", serif;
    width: 100%;
    padding: 0.1rem;
    text-align: center;
}

h1 {
    font-size: 1.87rem;
}

/* main container */
#main_container {
    margin-top: 2.5rem;
    margin-left: auto !important;
    margin-right: auto !important;
    margin-bottom: 2.5rem;
    width: 800px;
    height: auto;
    display: flex;
    flex-direction: column;
    border-radius: 10px;
}

#site_container {
    display: grid;
    grid-template: min-content min-content / 1fr 250px;
    gap: 10px;
}

#my_graphics,
#other_graphics,
#contact_link,
#footer {
    padding: 10px;
    background-color: var(--SC_Background);
    border: 0.25rem solid var(--SC_Border);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* locations */
#my_graphics {
    grid-area: 1 / 1 / 1 / span 2;
    height: 500px;
}

#other_graphics {
    grid-area: 2 / 1 / 2 / 1;
}
#contact_link {
    grid-area: 2 / 2 / 2 / 2;
}

.summary {
    width: 80%;
    text-align: center;
}

/*my_stamps content styling*/
#my_graphics_tabs {
    margin-top: 10px;
    margin-bottom: 10px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    text-align: center;
}

.tabButton {
    padding: 5px;
    border-radius: 50px;
    border: 2px solid var(--SC_Border);
    margin-top: 5px;
    margin-right: 5px;
}

.tabButton:hover {
    cursor: pointer;
    background-color: var(--SC_Accent2);
}

.tabButton:active {
    background-color: var(--SC_Accent2);
}

.tabContent {
    display: none;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: scroll;
    text-align: center;
    transition: 0.5s;
}

.tabTab{
    width: 100%;
    height: 304px;
    overflow-x: hidden;
    overflow-y: scroll;
    text-align: center;
}

.tabContent img, .tabTab img{
     width: 99px;
}

/* form styling */
.form_label {
    margin-bottom: 5px;
}

.form_textbox {
    width: 100%;
    border-radius: 10px;
    margin-bottom: 10px;
    border: 2px solid var(--SC_Border);
    padding: 10px;
}

.form_button {
    width: 100%;
    border-radius: 10px;
    background-color: var(--SC_Links);
    transition: background-color 0.5s ease-in-out;
    border: none;
    padding: 5px;
}

.form_button:hover {
    background-color: var(--SC_Accent);
    cursor: pointer;
}

/* footer */
#footer {
    width: 100%;
    text-align: center;
    margin-top: 20px;
}

#footer a {
    text-decoration: none;
}

.disclaimer p {
    font-size: 0.625rem;
}

/* media screen */
@media only screen and (max-width: 800px) {
    #main_container {
        display: flex;
        flex-direction: column;
        width: 95%;
    }
    #site_container {
        display: flex;
        flex-direction: column;
    }
}

/*scrollbar*/
::-webkit-scrollbar {
    width: 3px;
}

::-webkit-scrollbar-track {
    display: none;
}

::-webkit-scrollbar-thumb {
    background: var(--SC_Border);
}

